Qore::AbstractQuantifiedBidirectionalIterator Class Reference

This class defines an abstract interface for bidirectional iterators where the size of the object is known in advance. More...

Inheritance diagram for Qore::AbstractQuantifiedBidirectionalIterator:
[legend]

## Additional Inherited Members

Public Member Functions inherited from Qore::AbstractBidirectionalIterator
abstract bool | prev ()
| Moves the current position to the previous element; returns False if there are no more elements. More...
Public Member Functions inherited from Qore::AbstractIterator
abstract any | getValue ()
| returns the current value More...
abstract bool | next ()
| Moves the current position to the next element; returns False if there are no more elements. More...
abstract bool | valid ()
| returns True if the iterator is currently pointing at a valid element, False if not More...
Public Member Functions inherited from Qore::AbstractQuantifiedIterator
abstract bool | empty ()
| returns True if the object to iterate is empty; False if not More...
abstract bool | first ()
| returns True if on the first element More...
abstract bool | last ()
| returns True if on the last element More...

## Detailed Description

This class defines an abstract interface for bidirectional iterators where the size of the object is known in advance.

This class does not define any new methods but rather just combines two abstract interfaces into one.